For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
  • Deal Management
      • GETCompany By Domain
      • POSTCreate Company
      • GETCompanies
      • GETCompany
      • PUTUpdate Company
      • DELDelete Company
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
Deal ManagementCompany

Companies

GET
/api/v1/group/:group_id/company/all
GET
/api/v1/group/:group_id/company/all
$curl https://app.termina.ai/api/v1/group/1/company/all \
> -H "Authorization: Bearer <token>"
1{
2 "total_count": 1,
3 "page": 1,
4 "page_size": 1,
5 "data": [
6 {
7 "name": "string",
8 "domain": "example.com",
9 "id": 1,
10 "group_id": 1,
11 "thumbnail_url": "string",
12 "created_at": "2024-01-15T09:30:00Z",
13 "updated_at": "2024-01-15T09:30:00Z",
14 "is_archived": true
15 }
16 ]
17}
Get all companies for a group.
Was this page helpful?
Previous

Company

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired

Query parameters

sort_bystring or nullOptional
sort_orderstringOptionalformat: "^(asc|desc)$"Defaults to asc
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional>=1Defaults to 100

Response

Successful Response
total_countinteger
pageinteger
page_sizeinteger
datalist of objects

Errors

422
Unprocessable Entity Error